Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454409 - Xephyr ends with Segmentation fault
Summary: Xephyr ends with Segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server
Version: 5.2
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 726826
TreeView+ depends on / blocked
 
Reported: 2008-07-08 11:27 UTC by Laurent Desnogues
Modified: 2018-11-26 19:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 03:12:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
strace -ff -o Xephyr.strace Xephyr :2 (deleted)
2008-07-10 09:40 UTC, Ralph Angenendt
no flags Details
strace -ff -o Xephyr.strace Xephyr :2 (second file) (deleted)
2008-07-10 09:41 UTC, Ralph Angenendt
no flags Details
Xorg.conf file (deleted)
2008-07-10 10:29 UTC, Laurent Desnogues
no flags Details
X server log file (deleted)
2008-07-10 10:29 UTC, Laurent Desnogues
no flags Details
Proposed fix (deleted)
2011-07-05 14:05 UTC, Olivier Fourdan
ofourdan: review?
Details | Diff


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 8417 None None None Never
Red Hat Product Errata RHSA-2012:0303 normal SHIPPED_LIVE Low: xorg-x11-server security and bug fix update 2012-02-21 07:24:37 UTC

Description Laurent Desnogues 2008-07-08 11:27:19 UTC
Description of problem:

Running Xephyr on my CentOS 5.2 x86_64 (e6600, i965 integrated graphics) results
in a quasi-immediate Segmentation fault:

bash-3.2$ Xephyr :2 -screen 800x480x16
Extended Input Devices not yet supported. Impelement it at line 625 in kinput.c
Segmentation fault (core dumped)


Version-Release number of selected component (if applicable):

This is with xorg-x11-server-Xephyr-1.1.1-48.41.el5_2.1.


How reproducible:

Steps to Reproduce:
1.Xephyr :2 -screen 800x480x16
2.
3.

  
Actual results:

Extended Input Devices not yet supported. Impelement it at line 625 in kinput.c
Segmentation fault (core dumped)


Expected results:


Additional info:

selinux is disabled.

strace does not give any useful information (at least not close to the end).

gdb bt is as follows:

0 0x0000000000000000 in ?? ()
0000001 0x00000000006acdec in PictureDestroyWindow ()
0000002 0x0000000000448a39 in FreeColormap ()
3 0x0000000000448d53 in FreeColormap ()
4 0x0000000000438c79 in NotImplemented ()
5 0x0000003b84a1d8b4 in __libc_start_main () from /lib64/libc.so.6
6 0x000000000041fb19 in ?? ()
0000007 0x00007fff42823148 in ?? ()
0000008 0x0000000000000000 in ?? ()

Thanks,

Laurent

PS - x-ref http://bugs.centos.org/bug_view_advanced_page.php?bug_id=2948

Comment 1 Matěj Cepl 2008-07-09 00:08:59 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Ralph Angenendt 2008-07-10 09:09:22 UTC
It doesn't even get that far, so it doesn't write any logs:

[angenenr@shutdown ~]$strace -ff -eopen Xephyr :2 2>&1 | grep log
[angenenr@shutdown ~]$

This is without xorg.conf in place.

Comment 3 Ralph Angenendt 2008-07-10 09:14:44 UTC
Backtrace (I seem to be missing some debug symbols, but do not really know which):

(gdb) run :2
Starting program: /usr/bin/Xephyr :2
Extended Input Devices not yet supported. Impelement it at line 625 in kinput.c
[Detaching after fork from child process 20563. (Try `set detach-on-fork off'.)]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00000000006acdec in AnimCurRealizeCursor (pScreen=0x18981280, 
    pCursor=0x1899b150) at animcur.c:269
#2  0x0000000000448a39 in AllocGlyphCursor (source=<value optimized out>, 
    sourceChar=0, mask=<value optimized out>, maskChar=1, 
    foreRed=<value optimized out>, foreGreen=<value optimized out>, foreBlue=0, 
    backRed=4294967295, backGreen=4294967295, backBlue=4294967295, 
    ppCurs=0x7fff6b3f48e0, client=0x1897ed80) at cursor.c:409
#3  0x0000000000448d53 in CreateRootCursor (pfilename=0x70901e "cursor", glyph=0)
    at cursor.c:451
#4  0x0000000000438c79 in main (argc=2, argv=0x7fff6b3f4a48, 
    envp=<value optimized out>) at main.c:413
#5  0x00000035d3e1d8b4 in __libc_start_main () from /lib64/libc.so.6
#6  0x000000000041fb19 in _start ()


Comment 4 Ralph Angenendt 2008-07-10 09:39:44 UTC
Attaching complete strace files:

strace -ff -o Xephyr.strace Xephyr :2

Still without xorg.conf in place.

Comment 5 Ralph Angenendt 2008-07-10 09:40:59 UTC
Created attachment 311461 [details]
strace -ff -o Xephyr.strace Xephyr :2

Comment 6 Ralph Angenendt 2008-07-10 09:41:40 UTC
Created attachment 311462 [details]
strace -ff -o Xephyr.strace Xephyr :2 (second file)

Comment 7 Laurent Desnogues 2008-07-10 10:28:00 UTC
Attaching my xorg.conf and Xorg.0.log (there's no Xorg.[12].log which confirms
what Ralph wrote).

I can't restart my Xserver now (it's my work machine), so I can't post what
happens with an empty xorg.conf file.

Comment 8 Laurent Desnogues 2008-07-10 10:29:00 UTC
Created attachment 311464 [details]
Xorg.conf file

Comment 9 Laurent Desnogues 2008-07-10 10:29:46 UTC
Created attachment 311465 [details]
X server log file

Comment 16 Adam Jackson 2011-08-17 19:37:00 UTC
3564263 build (dist-5E-qu-candidate, /cvs/dist:rpms/xorg-x11-server/RHEL-5:xorg-x11-server-1_1_1-48_83_el5) completed successfully

MODIFIED

Comment 20 errata-xmlrpc 2012-02-21 03:12:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0303.html


Note You need to log in before you can comment on or make changes to this bug.